%define name	bhposbase
%define version	1.2.3
%define release	3mdk

Summary:	BananaPOS base stuff.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.bananahead.com
Source0:	%{name}-%{version}.tar.bz2
Source100:	fix_files.sh.bz2
Source101:	fix_db_embed_changes.txt.bz2
Prereq:		pkgconfig >= 0.15.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
bhbase is the base install stuff for the bhpos system.

%package	devel
Summary:	Development things for BananaPOS base.
Group:		Development/C

%description	devel
The bhpos-devel package contains headers required for bhpos.

%prep

%setup -q -n %{name}-%{version}

# dynamic "patch" system by Kort E Patterson
bzcat %{SOURCE100} > fix_files.sh
bzcat %{SOURCE101} > fix_db_embed_changes.txt
chmod 755 fix_files.sh
echo "A *.cpp ./fix_db_embed_changes.txt ." > files_to_fix
echo "A *.h ./fix_db_embed_changes.txt ." >> files_to_fix
./fix_files.sh ./files_to_fix

# lib64 fixes
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build
#rm -f configure
#libtoolize --copy --force && aclocal && autoconf && automake

%configure2_5x

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%attr(0644,root,root) %{_datadir}/bhpos/pixmaps/*.png
%attr(0644,root,root) %{_datadir}/bhpos/pixmaps/*.xpm
%{_datadir}/bhpos/schedule

%files devel
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/bhpos/*.h
%attr(0644,root,root) %{_datadir}/bhpos/version/bhversion.xml
%attr(0644,root,root) %{_libdir}/pkgconfig/bhbase.pc

%changelog
* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-3mdk
- really fix build on x86_64

* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdk
- fix build on x86_64

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.3-1mdk
- initial mandrake package
